PrefabFiles = {
	"morty",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/morty.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/morty.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/morty.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/morty.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/morty_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/morty_silho.xml" ),

    Asset( "IMAGE", "bigportraits/morty.tex" ),
    Asset( "ATLAS", "bigportraits/morty.xml" ),
	
	Asset( "IMAGE", "images/map_icons/morty.tex" ),
	Asset( "ATLAS", "images/map_icons/morty.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_morty.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_morty.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_morty.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_morty.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.morty = "The Mortiest Morty"
STRINGS.CHARACTER_NAMES.morty = "Morty"
STRINGS.CHARACTER_DESCRIPTIONS.morty = "*Gains sanity around Rick\n*Has a sock\n*Is the Mortiest Morty"
STRINGS.CHARACTER_QUOTES.morty = "\"Show me the Morty!\""

-- Custom speech strings
STRINGS.CHARACTERS.MORTY = require "speech_morty"

-- The character's name as appears in-game 
STRINGS.NAMES.MORTY = "Morty"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MORTY = 
{
	GENERIC = "Show me the Morty!",
	ATTACKER = "That Morty guy looks awfully shifty...",
	MURDERER = "Murderer!",
	REVIVER = "Morty, friend of ghosts.",
	GHOST = "Morty could use a replacement.",
}


AddMinimapAtlas("images/map_icons/morty.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("morty", "MALE")

